# -*- coding: utf-8 -*-
"""
Created on Fri Jul  5 14:00:52 2013

@author: gillis
"""

import numpy as np
from matplotlib import pyplot as plt
import os

plt.close('all')
path=os.getcwd()

pypath=os.path.join(path,'animationR','simPy.anim')
matpath=os.path.join(path,'animationR','simdir.anim')

mat=np.loadtxt(matpath)
py=np.loadtxt(pypath)



i=0
index=0
lightmat=np.zeros((np.ceil(mat[:,1].size/100)+1,mat[1,:].size))
#lightmat=np.zeros((2,mat[1,:].size))

while i<mat[:,1].size:
    if i % 100 == 0:
        lightmat[index,:]=mat[i,:]
        index+=1
    i+=1

#lightmat.shape

plt.figure(1)
plt.clf()
plt.plot(mat[:,0],mat[:,1],'r-')
plt.plot(py[:,0],py[:,1],'b-')
plt.plot(lightmat[:,0],lightmat[:,1],'r.')
plt.legend(('Matlab','Python'),'best')
plt.title('mbs.q(1)')
plt.show()

plt.figure(2)
plt.clf()
plt.plot(mat[:,0],mat[:,2],'r-')
plt.plot(py[:,0],py[:,2],'b-')
plt.plot(lightmat[:,0],lightmat[:,2],'r.')
plt.legend(('Matlab','Python'),'best')
plt.title('mbs.q(2)')
plt.show()

